Subject: RE: [Sigtran] ASP load sharing..

From: "Mohan Parthasarathy" <[email-masked]>
Date: Thu, 12 Dec 2002 10:25:10 -0800

> 
> 
> Mohan,
> 
> Another thing is, to detect SCTP association failures,
> one will rely on number of retransmits. For most of
> the cases, I wouldn't expect that a heartbeat with
> long periods will have a big impact.
> 
How does the SCTP layer communicate to the SUA layer ?
I still feel it will be good for someway to communicate
this faster. This is more driven by the application need.

-mohan

>     Tolga
> --- "Brian F. G. Bidulock" <[email-masked]>
> wrote:
> > Mohan,
> > 
> > Mohan Parthasarathy wrote:                          
> > (Wed, 11 Dec 2002 12:49:09)
> > > Hello,
> > > 
> > > In draft-ietf-sigtran-sua-14.txt, section 4.3.4.3
> > ASP active procedures,
> > > I can see the following text :
> > > 
> > > 	All ASPs within a loadsharing mode AS must be
> > able to process any
> > >       Data message received for the AS to
> > accommodate any potential
> > > 	failover or reblancing of the offered load.
> > 
> > The text is borrowed from M3UA (RFC 3332) so it
> > might not be as obvious
> > for SUA.
> > 
> > > 
> > > I have a couple of questions regarding load
> > sharing and questions specific
> > > to the above text:
> > > 
> > > 1) There is no mention about what can be
> > load-shared across different ASPs ?
> > >    May be it is obvious or I missed some section
> > of the draft. Could someone
> > >    point me to the right text ?
> > 
> > SCCP User traffic.
> > 
> > > 
> > > 2) Does the "Data message" in the above text mean
> > the connectionless and
> > >    connection-oriented messages (Message class 7
> > and Message 8) ?
> > 
> > Yes.  But is also has to address SSNM.
> > 
> > > 
> > > 3) If an ASP fails where an ASP itself could not
> > indicate to the SG but
> > >     e.g. SCTP heartbeat indicates that an ASP
> > failed, will the messages be
> > >     sent to the other ASPs because there was no
> > ACK for the messages ?
> > 
> > Sending unacknowledged messages can lead to
> > duplication.  See
> > draft-bidulock-sigtran-corid-00.txt for an analysis
> > of the situation an
> > a method using the Correlation Id parameter which
> > can avoid both duplication
> > and message loss in this scenario.
> > 
> > > 
> > > 4) When an ASP fails, most likely it will not be
> > able to indicate to the
> > >    SG that it failed. SCTP heartbeat may be slow
> > to discover that ASP failed.
> > >    Is there a mechanism that can be used to
> > indicate to the SG that an ASP
> > >    failed ?
> > 
> > No.
> > 
> > --brian
> > 
> > --
> > Brian F. G. Bidulock
> > [email-masked]
> > http://www.openss7.org/
> > _______________________________________________
> > Sigtran mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/sigtran
> 
> 
> __________________________________________________
> Do you Yahoo!?
> Yahoo! Mail Plus - Powerful. Affordable. Sign up now.
> http://mailplus.yahoo.com
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran
> 
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: Ken Morneault <[email-masked]>
Date: Thu, 12 Dec 2002 13:37:24 -0500

Mohan,

You can tune your SCTP parameters as you desire.  You can also
make use of M3UA/SUA heartbeat mechanism.

Regards,

Ken

---

From: "Mohan Parthasarathy" <[email-masked]>
Date: Thu, 12 Dec 2002 12:31:16 -0800

> > able to
> > > indicate to the
> > Isn't this a limitation ? Don't you want to detect
> > the ASP failures
> > much more faster than this so that the bad ASP can
> > be reomved from
> > the active list soon ?
> [TOLGA] How can you do this fast enough? I think the
> answer is you have a good IP network, and so adjust
> your SCTP timeout values low. I don't think this is a 
> limitation of the protocol, afterall everyhting is limited by 
> the physicall infrastructure you have. 
> 
It is not a limitation. But I am just trying to understand how
the various traffic mode features (which is a good feature) can be used.
My concern is if you keep the timeout values low for detecting
ASP failures, it can affect the normal operation where SG might
mistakenly think that ASP has died. If there was a separate
"control" connection, one could have potentially used that
to use the add/delete of ASPs. 

-mohan

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 12 Dec 2002 14:06:30 -0700

Mohan,

You can get a copy of the aspext, loadsel, loadgrp, and corid
drafts at http://www.openss7.org/sigtran01.html

If there is sufficient interest, I will resubmit them as they
expired several months ago.

--brian

On Thu, 12 Dec 2002, Mohan Parthasarathy wrote:

> I could not find the draft. Could you send me the draft ? Also, the
> loadsel
> draft seems to have expired.
> 
> thanks
> mohan
> 

-- 
Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
[email-masked]    ¦ world; the unreasonable one persists in  ¦
http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
                        ¦ Therefore  all  progress  depends on the ¦
                        ¦ unreasonable man. -- George Bernard Shaw ¦
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran